Bug 586398 - Refresh resets scrollbar to top
Summary: Refresh resets scrollbar to top
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gwibber
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-27 13:22 UTC by Pete Zaitcev
Modified: 2010-08-20 02:12 UTC (History)
2 users (show)

Fixed In Version: gwibber-2.31.4-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-20 01:58:42 UTC
Type: ---


Attachments (Terms of Use)

Description Pete Zaitcev 2010-04-27 13:22:29 UTC
Description of problem:

If the timeline is scrolled a little down, a refresh resets the scroll.
Not a problem most of the time, but if you are trying to catch up in
the morning, it's quite annoying.

What's strange, it happens at irregular intervals (not once in 5 minutes --
which would be enough to read the saved scrollback). Sometimes it does
have a good gap. I tried to verify for this bug filing and had to wait
minutes for it to occur. But sometimes it keeps resetting it every 10
seconds.

The old gwibber did not do that, it used an algorithm similar to Xchat's
(only upside-down).

Version-Release number of selected component (if applicable):

gwibber-2.30.0.1-1.fc12.noarch

How reproducible:

Synchronous, but needs a small time to happen first.

Steps to Reproduce:
1. Start gwibber
2. offset the scrollbar a little
3. wait
  
Actual results:

Scrollbar is reset to the top

Expected results:

Scrollbar is either not changed (less desirable), or shifted a little
bit according to the number of new messages so that current messages
are kept in the same poistion (until we run out of scrollback).

Additional info:

Comment 1 Fedora Update System 2010-07-26 19:24:44 UTC
gwibber-2.31.2-7.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gwibber-2.31.2-7.fc12

Comment 2 Fedora Update System 2010-07-26 19:27:09 UTC
gwibber-2.31.2-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gwibber-2.31.2-7.fc13

Comment 3 Fedora Update System 2010-07-27 02:23:18 UTC
gwibber-2.31.2-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.2-7.fc13

Comment 4 Fedora Update System 2010-07-27 02:33:39 UTC
gwibber-2.31.2-7.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.2-7.fc12

Comment 5 Fedora Update System 2010-08-09 20:29:18 UTC
gwibber-2.31.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc12

Comment 6 Fedora Update System 2010-08-09 20:34:17 UTC
gwibber-2.31.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc13

Comment 7 Fedora Update System 2010-08-10 21:31:17 UTC
gwibber-2.31.4-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc12

Comment 8 Fedora Update System 2010-08-10 21:36:59 UTC
gwibber-2.31.4-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc13

Comment 9 Fedora Update System 2010-08-20 01:53:44 UTC
gwibber-2.31.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-08-20 02:08:13 UTC
gwibber-2.31.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.